Ipopt 3.12.10

- Main Page
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros
Public Member Functions | Private Attributes | List of all members
Ipopt::OptionsList::OptionValue Class Reference

Class for storing the value and counter for each option in OptionsList. More...

## Public Member Functions
std::string | GetValue () const
| Method for retrieving the value of an option. More...
std::string | Value () const
| Method for retrieving the value without increasing the counter. More...
Index | Counter () const
| Method for accessing current value of the request counter. More...
bool | AllowClobber () const
| True if the option can be overwritten. More...
bool | DontPrint () const
| True if this option is not to show up in the print_user_options output. More...
Constructors/Destructors
| OptionValue ()
| Default constructor (needed for the map) More...
| OptionValue (std::string value, bool allow_clobber, bool dont_print)
| Constructor given the value. More...
| OptionValue (const OptionValue &copy)
| Copy Constructor. More...
void | operator= (const OptionValue &copy)
| Equals operator. More...
| ~OptionValue ()
| Default Destructor. More...

## Private Attributes
std::string | value_
| Value for this option. More...
Index | counter_
| Counter for requests. More...
bool | initialized_
| for debugging More...
bool | allow_clobber_
| True if the option can be overwritten. More...
bool | dont_print_
| True if this option is not to show up in the print_user_options output. More...

## Detailed Description

Class for storing the value and counter for each option in OptionsList.

Definition at line 36 of file IpOptionsList.hpp.

## Constructor & Destructor Documentation

Ipopt::OptionsList::OptionValue::OptionValue | ( |  | ) |
| inline

Default constructor (needed for the map)

Definition at line 42 of file IpOptionsList.hpp.

Ipopt::OptionsList::OptionValue::OptionValue | ( | std::string | value,
|  | bool | allow_clobber,
|  | bool | dont_print
| ) |  |
| inline

Constructor given the value.

Definition at line 48 of file IpOptionsList.hpp.

Ipopt::OptionsList::OptionValue::OptionValue | ( | const OptionValue & | copy | ) |
| inline

Copy Constructor.

Definition at line 58 of file IpOptionsList.hpp.

Ipopt::OptionsList::OptionValue::~OptionValue | ( |  | ) |
| inline

Default Destructor.

Definition at line 78 of file IpOptionsList.hpp.

## Member Function Documentation

void Ipopt::OptionsList::OptionValue::operator= | ( | const OptionValue & | copy | ) |
| inline

Equals operator.

Definition at line 68 of file IpOptionsList.hpp.

std::string Ipopt::OptionsList::OptionValue::GetValue | ( |  | ) | const
| inline

Method for retrieving the value of an option.

Calling this method will increase the counter by one.

Definition at line 84 of file IpOptionsList.hpp.

std::string Ipopt::OptionsList::OptionValue::Value | ( |  | ) | const
| inline

Method for retrieving the value without increasing the counter.

Definition at line 93 of file IpOptionsList.hpp.

Index Ipopt::OptionsList::OptionValue::Counter | ( |  | ) | const
| inline

Method for accessing current value of the request counter.

Definition at line 100 of file IpOptionsList.hpp.

bool Ipopt::OptionsList::OptionValue::AllowClobber | ( |  | ) | const
| inline

True if the option can be overwritten.

Definition at line 107 of file IpOptionsList.hpp.

bool Ipopt::OptionsList::OptionValue::DontPrint | ( |  | ) | const
| inline

True if this option is not to show up in the print_user_options output.

Definition at line 115 of file IpOptionsList.hpp.

## Member Data Documentation

std::string Ipopt::OptionsList::OptionValue::value_
| private

Value for this option.

Definition at line 123 of file IpOptionsList.hpp.

Index Ipopt::OptionsList::OptionValue::counter_
| mutable private

Counter for requests.

Definition at line 126 of file IpOptionsList.hpp.

bool Ipopt::OptionsList::OptionValue::initialized_
| private

for debugging

Definition at line 129 of file IpOptionsList.hpp.

bool Ipopt::OptionsList::OptionValue::allow_clobber_
| private

True if the option can be overwritten.

Definition at line 132 of file IpOptionsList.hpp.

bool Ipopt::OptionsList::OptionValue::dont_print_
| private

True if this option is not to show up in the print_user_options output.

Definition at line 136 of file IpOptionsList.hpp.

The documentation for this class was generated from the following file:

- src/Common/IpOptionsList.hpp